import ClientBase from '../../clients/clientBase';
import MHSClient from '../../clients/sites/mhsClient';
import ChannelBase from '../channelBase';

class MHSChannel extends ChannelBase {
  broadcastMessage(from: ClientBase|MHSClient|null, message: string) {
    for (let client of this.clients) {
      if (client != from) {
        client.ws.send(message);
        console.log(`sent to ${client.id}: %s`, message);
        console.log(message);
      } else {
        console.log('client is same as sender');
      }
    }
  }
};

export default MHSChannel;
